## mingw-w64-fgsl-1.6.0-1.src.tar.zst

=== doc/forum/Makefile ===


pdf : fgsl_disc.pdf
dvi : fgsl_disc.dvi

fgsl_disc.pdf : fgsl_disc.tex
	pdflatex $^
	pdflatex $^

fgsl_disc.dvi : fgsl_disc.tex
	latex $^
	latex $^
clean :
	rm -f *.pdf *.dvi *.log *.aux *~
